Bug 20165 - Hotsyncing with Visor over USB fails
Summary: Hotsyncing with Visor over USB fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-01 23:02 UTC by Yaron Minsky
Modified: 2007-04-18 16:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 15:56:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yaron Minsky 2000-11-01 23:02:56 UTC
For some reason, hotsyncing with a visor occasionally freezes up and times
out.  This has happened with different visors on different machines, so I
suspect it's a problem with RedHat and not the hardware.  Here's the output
of the log.  Note that the key error message is the CRC Timeout message.

Nov  1 17:54:53 epidemic kernel: usb.c: USB new device connect, assigned
device number 2
Nov  1 17:54:53 epidemic kernel: usbserial.c: Handspring Visor converter
detected
Nov  1 17:54:53 epidemic kernel: visor.c: Handspring Visor: Number of ports: 2
Nov  1 17:54:53 epidemic kernel: visor.c: Handspring Visor: port 1, is for
Generic use and is bound to ttyUSB0
Nov  1 17:54:53 epidemic kernel: visor.c: Handspring Visor: port 2, is for
HotSync use and is bound to ttyUSB1
Nov  1 17:54:53 epidemic kernel: usbserial.c: Handspring Visor converter
now attached to ttyUSB0 (or usb/tts/0 for devfs)
Nov  1 17:54:53 epidemic kernel: usbserial.c: Handspring Visor converter
now attached to ttyUSB1 (or usb/tts/1 for devfs)

Nov  1 17:58:14 epidemic modprobe: modprobe: Can't locate module net-pf-10
Nov  1 17:58:50 epidemic kernel: usb-uhci-debug.h:   TD @
cf4f07e0/0F4F07E0, MaxLen=3f DT0 EP=2 Dev=2 PID=( IN  ) buf=07297cc0
Nov  1 17:58:50 epidemic kernel: usb-uhci-debug.h:     Len=7ff e0 SPD IOC
Stalled CRC/Timeo
Nov  1 17:58:50 epidemic kernel: usb-uhci-debug.h:    TD Link Terminate
Nov  1 17:58:50 epidemic kernel: usb.c: USB disconnect on device 2
Nov  1 17:58:50 epidemic kernel: usbserial.c: Handspring Visor converter
now disconnected from ttyUSB0
Nov  1 17:58:50 epidemic kernel: usbserial.c: Handspring Visor converter
now disconnected from ttyUSB1

Comment 1 Greg Kroah-Hartman 2000-11-14 23:02:43 UTC
I'd recommend using a more up to date Visor driver, like from the 2.4.0-testX or
2.2.18preX kernel.  The one that is shipping with RedHat 7.0 is quite old.

greg k-h (the Visor driver author and maintainer)

Comment 2 Yaron Minsky 2001-03-01 15:56:18 UTC
Kernel 2.2.17-14 seems to fix the problem.


Note You need to log in before you can comment on or make changes to this bug.